Bug 239419 - RFE: Add multimedia keys setup to system-config-keyboard
Summary: RFE: Add multimedia keys setup to system-config-keyboard
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-keyboard   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Lubomir Kundrak
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-08 10:00 UTC by Doncho Gunchev
Modified: 2008-04-11 20:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 20:36:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Doncho Gunchev 2007-05-08 10:00:58 UTC
Description of problem:
Most new keyboards have tons of multimedia keys, all working in "their own
way"(tm), meaning with different keycodes. It was easy when there were only
84/101 key keyboards, now every laptop has tons of these extra keys.
  
Actual results:
There's no "proper"(tm) way to set up multimedia keys.

Expected results:
system-config-keyboard should offer an uniform way to setup multimedia keys.

Additional info:
The task can be done in two steps:

  1. using setkeycodes setup the kernel's key map
  For this step looking at /var/log/messages almost always gives what one needs.
showkey -s should be helpfull, but I can't figure out where's the key code
(anyone?).

  2. using xmodmap (/etc/X11/Xmodmap) setup X11
  xev gives me all the info I need to set this up.

What about an additional interface to system-config-keyboard that offers the
user to press every extra key he/she has and secify what this key should do
(volume up/mute/down...).

BTW: A global (text + X11) way to choose how to switch the keyboard layouts
would be nice too (alt+shift, ctrl+shift, both shifts...). I currently do this
by custom keyboard map (text mode) and xorg.conf's options.

PP: setting alt+shift to work with 3 keyboard layouts (US,BG-Phonetic,BG-BDS) in
X11 does not work, Win+shift/Win only however does.

Comment 1 Red Hat Bugzilla 2007-08-21 05:34:10 UTC
User pnasrat@redhat.com's account has been closed

Comment 2 petrosyan 2008-03-26 17:04:49 UTC
Can't you do it using gnome-keybinding-properties?

Comment 3 Lubomir Kundrak 2008-04-11 20:36:29 UTC
gnome-keybinding-properties should be used instead.


Note You need to log in before you can comment on or make changes to this bug.